[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectList.ForEachCall

For each object in the list, call a method or procedure, passing it the object.

## Declaration

Source position: line 0

`public procedure TFPObjectList.ForEachCall(`
`proc2call: TObjectListCallback;`
`arg: pointer`
`); procedure TFPObjectList.ForEachCall(`
`proc2call: TObjectListStaticCallback;`
`arg: pointer`
`);`

## Arguments

`proc2call` |  | Procedure or method to be called.
`arg` |  | Additional pointer passed to proc2call

## Arguments

`proc2call` |  | Procedure or method to be called.
`arg` |  | Additional pointer passed to proc2call

## Description

ForEachCall loops through all objects in the list, and calls proc2call, passing it the object in the list. Additionally, arg is also passed to the procedure. Proc2call can be a plain procedure or can be a method of a class.

## Errors

None.

## See also

TObjectListStaticCallback |  | Plan procedure callback type for TFPObjectList.ForEachCall
TObjectListCallback |  | Method callback type for TFPObjectList.ForEachCall

Documentation generated on: Feb 26 2014